"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ER_NO_SUCH_TABLE = exports.ER_TABLE_EXISTS = exports.ER_DUP_ENTRY = exports.ER_LOCK_DEADLOCK = exports.ER_SUBQUERY_NO_1_ROW = exports.aggregateIdSqlType = exports.longBlobSqlType = exports.mediumBlobSqlType = exports.customObjectSqlType = exports.longNumberSqlType = exports.longStringSqlType = void 0;
const longStringSqlType = 'VARCHAR(700) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL';
exports.longStringSqlType = longStringSqlType;
const longNumberSqlType = 'BIGINT NOT NULL';
exports.longNumberSqlType = longNumberSqlType;
const customObjectSqlType = 'JSON NULL';
exports.customObjectSqlType = customObjectSqlType;
const mediumBlobSqlType = 'MEDIUMBLOB NOT NULL';
exports.mediumBlobSqlType = mediumBlobSqlType;
const longBlobSqlType = 'LONGBLOB';
exports.longBlobSqlType = longBlobSqlType;
const aggregateIdSqlType = longStringSqlType;
exports.aggregateIdSqlType = aggregateIdSqlType;
const ER_SUBQUERY_NO_1_ROW = 1242;
exports.ER_SUBQUERY_NO_1_ROW = ER_SUBQUERY_NO_1_ROW;
const ER_LOCK_DEADLOCK = 1213;
exports.ER_LOCK_DEADLOCK = ER_LOCK_DEADLOCK;
const ER_DUP_ENTRY = 1062;
exports.ER_DUP_ENTRY = ER_DUP_ENTRY;
const ER_TABLE_EXISTS = 1050;
exports.ER_TABLE_EXISTS = ER_TABLE_EXISTS;
const ER_NO_SUCH_TABLE = 1146;
exports.ER_NO_SUCH_TABLE = ER_NO_SUCH_TABLE;
//# sourceMappingURL=constants.js.map