"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = require("./get-log");

const dispose = async pool => {
  const log = (0, _getLog.getLog)('dispose');
  log.debug(`disposing the event store`);
  await pool.connection.end();
  log.debug(`the event store disposed`);
};

var _default = dispose;
exports.default = _default;
//# sourceMappingURL=dispose.js.map