"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const freeze = async ({
  connection,
  eventsTableName,
  escapeId
}) => {
  await connection.execute(`CREATE TABLE ${escapeId(`${eventsTableName}-freeze`)}(
      ${escapeId('surrogate')} BIGINT NOT NULL,
      PRIMARY KEY(${escapeId('surrogate')})
    )
    COMMENT = "RESOLVE EVENT STORE ${escapeId(eventsTableName)} FREEZE MARKER" 
    `);
};

var _default = freeze;
exports.default = _default;
//# sourceMappingURL=freeze.js.map