"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const rollbackIncrementalImport = async ({
  eventsTableName,
  connection,
  escapeId
}) => {
  const incrementalImportTableAsId = escapeId(`${eventsTableName}-incremental-import`);
  await connection.query(`DROP TABLE IF EXISTS ${incrementalImportTableAsId};`);
};

var _default = rollbackIncrementalImport;
exports.default = _default;
//# sourceMappingURL=rollback-incremental-import.js.map