import { getLog } from './get-log';

const dispose = async pool => {
  const log = getLog('dispose');
  log.debug(`disposing the event store`);
  await pool.connection.end();
  log.debug(`the event store disposed`);
};

export default dispose;
//# sourceMappingURL=dispose.js.map