const removeEventSubscriber = async (pool, params) => {
  const {
    subscribersTableName,
    connection,
    escapeId,
    escape
  } = pool;
  const {
    applicationName,
    eventSubscriber
  } = params;
  const subscribersTableNameAsId = escapeId(subscribersTableName);
  await connection.query(`
    DELETE FROM ${subscribersTableNameAsId}
    WHERE \`applicationName\` = ${escape(applicationName)}
    AND \`eventSubscriber\` = ${escape(eventSubscriber)}
  `);
};

export default removeEventSubscriber;
//# sourceMappingURL=remove-event-subscriber.js.map